-- ======================================================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 12.x 
--   Created on:     01/07/2022  11:30
--   Issue:          386744 - Portal Funcionariro !
--   Description:    Campos criados para o Tipo de Assinatura e Tipo de documento 
--                   necessários para o envio de documentos para o CertiSign
-- ======================================================================================



ALTER TABLE GPE_PARAMORG ADD IDTIPOASSINATURACERTSIGN NUMBER;
ALTER TABLE GPE_PARAMORG ADD NRTIPODOCCERTSIGN NUMBER;

INSERT INTO GER_TIPODOCUMENTO (NRTIPODOCUMENTO, NMTIPODOCUMENTO, CDOPERINCLUSAO, NRORG, IDDOCUMENTOPUBLICO, IDATIVO, DTINCLUSAO) 
VALUES (4, 'Laudo (até 3 assinaturas - até 5Mb)', '1', '0', 'S', 'S', SYSDATE)
/
INSERT INTO GER_TIPODOCUMENTO (NRTIPODOCUMENTO, NMTIPODOCUMENTO, CDOPERINCLUSAO, NRORG, IDDOCUMENTOPUBLICO, IDATIVO, DTINCLUSAO) 
VALUES (2054, 'Unilateral (1 assinatura - até 10 Mb)', '1', '0', 'S', 'S', SYSDATE)
/
INSERT INTO GER_TIPODOCUMENTO (NRTIPODOCUMENTO, NMTIPODOCUMENTO, CDOPERINCLUSAO, NRORG, IDDOCUMENTOPUBLICO, IDATIVO, DTINCLUSAO) 
VALUES (2176, 'Multilateral (até 10 assinaturas - até 100 Mb)', '1', '0', 'S', 'S', SYSDATE)
/
INSERT INTO GER_TIPODOCUMENTO (NRTIPODOCUMENTO, NMTIPODOCUMENTO, CDOPERINCLUSAO, NRORG, IDDOCUMENTOPUBLICO, IDATIVO, DTINCLUSAO) 
VALUES (2177, 'Multilateral (até 10 assinaturas - até 300 Mb)', '1', '0', 'S', 'S', SYSDATE)
/
INSERT INTO GER_TIPODOCUMENTO (NRTIPODOCUMENTO, NMTIPODOCUMENTO, CDOPERINCLUSAO, NRORG, IDDOCUMENTOPUBLICO, IDATIVO, DTINCLUSAO) 
VALUES (2200, 'Multilateral (até 50 assinaturas - até 10 Mb)', '1', '0', 'S', 'S', SYSDATE)
/
INSERT INTO GER_TIPODOCUMENTO (NRTIPODOCUMENTO, NMTIPODOCUMENTO, CDOPERINCLUSAO, NRORG, IDDOCUMENTOPUBLICO, IDATIVO, DTINCLUSAO) 
VALUES (2294, 'Contrato (até 10 assinaturas - 10Mb)', '1', '0', 'S', 'S', SYSDATE)
/
INSERT INTO GER_TIPODOCUMENTO (NRTIPODOCUMENTO, NMTIPODOCUMENTO, CDOPERINCLUSAO, NRORG, IDDOCUMENTOPUBLICO, IDATIVO, DTINCLUSAO) 
VALUES (2295, 'Declaração (1 assinatura - até 500Kb)', '1', '0', 'S', 'S', SYSDATE)
/
INSERT INTO GER_TIPODOCUMENTO (NRTIPODOCUMENTO, NMTIPODOCUMENTO, CDOPERINCLUSAO, NRORG, IDDOCUMENTOPUBLICO, IDATIVO, DTINCLUSAO) 
VALUES (2636, 'Multilateral (até 100 assinaturas - até 100 Mb)', '1', '0', 'S', 'S', SYSDATE)
/